Package: org.codehaus.groovy.ant

## [Java] Class GenerateStubsTask

- org.codehaus.groovy.ant.GenerateStubsTask

- Generates Java stubs from Groovy sources.

  Authors:
    Jason Dillon

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`
    `class MatchingTask` | `add, createExcludesFile, setDefaultexcludes, createIncludesFile, addContainsRegexp, setCaseSensitive, setIncludes, setExcludes, addType, addDate, XsetItems, XsetIgnore, setFollowSymlinks, getSelectors, addSelector, setProject, createExclude, setIncludesfile, selectorElements, selectorCount, hasSelectors, appendSelector, addAnd, addOr, addNot, addSize, addNone, createPatternSet, addMajority, setExcludesfile, addFilename, addCustom, createInclude, addDifferent, addDepth, addPresent, addDepend, addModified, addContains, log, log, log, log, init, execute, getTaskName, perform, reconfigure, bindToOwner, setTaskName, maybeConfigure, setTaskType, getOwningTarget, getTaskType, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, clone, getLocation, getDescription, setDescription, getProject, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected void compile()